(let [{: equal} (require :lib.equal)
      {: describe :end test-end} (require :lib.test)]
  (describe "equal()" (fn [t]
                       (t {:given "two equal tables"
                           :should "return true"
                           :expected true
                           :actual (equal [:orange :apple :pear] [:orange :apple :pear]) })
                       (t {:given "two different tables"
                           :should "return false"
                           :expected false
                           :actual (equal [:apple :pear] [:orange :apple :pear]) })
                       (t {:given "equal strings"
                           :should "be true"
                           :expected true
                           :actual (equal :apple :apple) })
                       (t {:given "different strings"
                           :should "be false"
                           :expected false
                           :actual (equal :apple :pear) })
                       (t {:given "equal bools"
                           :should "be true"
                           :expected true
                           :actual (equal true true) })
                       (t {:given "different strings"
                           :should "be false"
                           :expected false
                           :actual (equal true false) })
                       (test-end))))
